@import 'base.css';
@import 'layout.css';
@import 'components.css';


.page {
  position: relative;
  width: 100%;
  min-height: 100vh;
  overflow: hidden;
  background: url("../images/h1.png") center center / cover no-repeat;
  background-attachment: fixed;
}

.page-about {
  background: url("../images/a1.png");
}

.privacy-page {
  background: url("../images/p1.png");
}

.group_1 {
  padding: 0 1.06rem;
  box-sizing: border-box;
}

.group_2 {
  background-color: rgba(255, 255, 255, 0.02);
  width: 7.8802rem;
  height: 0.4948rem;
  margin-bottom: 0.21rem;
}

.herder_text{
  width: fit-content;
  height: 0.1094rem;
  overflow-wrap: break-word;
  color: rgba(107, 114, 128, 0.7);
  font-size: 0.0938rem;
  font-family: Roboto-Regular;
  font-weight: normal;
  text-align: left;
  white-space: nowrap;
  line-height: 0.0938rem;
  margin: 0.1875rem 0 0 0.1875rem;
   cursor: pointer;
}

.herder_text_active {
  color: rgba(37, 99, 235, 0.7);
  height: 0.15rem;
  border-bottom: 1px solid rgba(37, 99, 235, 1);
  width: fit-content;
}

.text_1 {
  width: 0.2552rem;
  height: 0.1094rem;
  overflow-wrap: break-word;
  font-size: 0.0938rem;
  font-family: Roboto-Medium;
  font-weight: 500;
  text-align: left;
  white-space: nowrap;
  line-height: 0.0938rem;
  margin: 0.0469rem 0 0 0.0469rem;
}

.text_2 {
  
}

.text_3 {
  width: 0.4531rem;
  height: 0.1094rem;
  overflow-wrap: break-word;
  color: rgba(107, 114, 128, 0.7);
  font-size: 0.0938rem;
  font-family: Roboto-Regular;
  font-weight: normal;
  text-align: left;
  white-space: nowrap;
  line-height: 0.0938rem;
  margin: 0.1875rem 0 0 0.2292rem;
}

.text_4 {
  width: 0.5781rem;
  height: 0.1094rem;
  overflow-wrap: break-word;
  color: rgba(107, 114, 128, 0.7);
  font-size: 0.0938rem;
  font-family: Roboto-Regular;
  font-weight: normal;
  text-align: left;
  white-space: nowrap;
  line-height: 0.0938rem;
  margin: 0.1875rem 5.4792rem 0 0.2292rem;
}

.text-wrapper_2 {
  width: 6.2396rem;
  height: 0.5rem;
  overflow-wrap: break-word;
  font-size: 0;
  font-family: Inter-Bold;
  font-weight: 700;
  text-align: left;
  white-space: nowrap;
  line-height: 0.4115rem;
  margin-bottom: 0.27rem;
}

.text_5 {
  width: 6.2396rem;
  height: 0.5rem;
  overflow-wrap: break-word;
  color: rgba(37, 99, 235, 1);
  font-size: 0.4115rem;
  font-family: Inter-Bold;
  font-weight: 700;
  text-align: left;
  white-space: nowrap;
  line-height: 0.4115rem;
}

.text_6 {
  width: 6.2396rem;
  height: 0.5rem;
  overflow-wrap: break-word;
  color: rgba(84, 84, 84, 1);
  font-size: 0.4115rem;
  font-family: Inter-Bold;
  font-weight: 700;
  text-align: left;
  white-space: nowrap;
  line-height: 0.4115rem;
}

.text_7 {
  font-family: Roboto, Roboto;
  font-weight: 500;
  font-size: 0.14rem;
  color: #545454;
  line-height: 0.18rem;
  text-align: left;
  font-style: normal;
  text-transform: none;
  margin-bottom: 0.24rem;
}

.text_8 {
  font-family: Roboto, Roboto;
  font-weight: 900;
  font-size: 0.17rem;
  color: #545454;
  text-align: left;
  font-style: normal;
  text-transform: none;
  margin-bottom: 0.15rem;
}

.group_3 {
  width: 8.0469rem;
  height: 1.6406rem;
}

.group_4 {
  background-color: rgba(255, 255, 255, 0.25);
  border-radius: 0.2188rem;
  width: 1.4844rem;
  height: 1.6406rem;
  align-items: center;
  justify-content: center;
}

.image_1 {
  width: 0.7292rem;
  height: 0.7292rem;
}

.text_9 {
  width: 0.7344rem;
  height: 0.1458rem;
  overflow-wrap: break-word;
  color: rgba(84, 84, 84, 1);
  font-size: 0.125rem;
  font-family: Roboto-Medium;
  font-weight: 500;
  text-align: left;
  white-space: nowrap;
  line-height: 0.125rem;
  margin: 0.1563rem 0 0.3438rem 0.375rem;
}

.group_5 {
  background-color: rgba(255, 255, 255, 0.25);
  border-radius: 0.2188rem;
  width: 1.4844rem;
  height: 1.6406rem;
  margin-left: 0.1563rem;
}

.image_2 {
  width: 0.7292rem;
  height: 0.7292rem;
  margin: 0.2656rem 0 0 0.3802rem;
}

.paragraph_1 {
  overflow-wrap: break-word;
  color: rgba(84, 84, 84, 1);
  font-size: 0.125rem;
  font-family: Roboto-Medium;
  font-weight: 500;
  margin: 0.1563rem 0 0.1979rem 0.3698rem;
}

.group_6 {
  background-color: rgba(255, 255, 255, 0.25);
  border-radius: 0.2188rem;
  width: 1.4844rem;
  height: 1.6406rem;
  margin-left: 0.1563rem;
}

.image_3 {
  width: 0.7292rem;
  height: 0.7292rem;
  margin: 0.2656rem 0 0 0.3802rem;
}

.paragraph_2 {
  overflow-wrap: break-word;
  color: rgba(84, 84, 84, 1);
  font-size: 0.125rem;
  font-family: Roboto-Medium;
  font-weight: 500;
  text-align: center;
  margin-top: 0.16rem;
}

.paragraph_2 a {
  color: rgba(37, 99, 235, 1);
}

.group_7 {
  background-color: rgba(255, 255, 255, 0.25);
  border-radius: 0.2188rem;
  width: 1.4844rem;
  height: 1.6406rem;
  margin-left: 0.1563rem;
}

.image_4 {
  width: 0.7292rem;
  height: 0.7292rem;
  margin: 0.2656rem 0 0 0.3802rem;
}

.paragraph_3 {
  width: 0.8542rem;
  height: 0.2917rem;
  overflow-wrap: break-word;
  color: rgba(84, 84, 84, 1);
  font-size: 0.125rem;
  font-family: Roboto-Medium;
  font-weight: 500;
  text-align: center;
  margin: 0.1563rem 0 0.1979rem 0.3177rem;
}

.group_8 {
  background-color: rgba(255, 255, 255, 0.25);
  border-radius: 0.2188rem;
  width: 1.4844rem;
  height: 1.6406rem;
  margin-left: 0.1563rem;
}

.image_5 {
  width: 0.7292rem;
  height: 0.7292rem;
  margin: 0.2656rem 0 0 0.3802rem;
}

.paragraph_4 {
  width: 0.8906rem;
  height: 0.2917rem;
  overflow-wrap: break-word;
  color: rgba(84, 84, 84, 1);
  font-size: 0.125rem;
  font-family: Roboto-Medium;
  font-weight: 500;
  text-align: center;
  margin: 0.1563rem 0 0.1979rem 0.2969rem;
}

.text_10 {
  overflow-wrap: break-word;
  color: rgba(84, 84, 84, 1);
  font-size: 0.1354rem;
  font-family: Roboto-Medium;
  font-weight: 500;
  text-align: left;
  white-space: nowrap;
  line-height: 0.1354rem;
  text-align: center;
  margin-top: 0.41rem;
}
/* 关于我们 */
.about-content{
  width: 8.05rem;
height: 2.75rem;
padding: 0.3rem;
box-sizing: border-box;
  background: rgba(255,255,255,0.25);
border-radius: 0.22rem 0.22rem 0.22rem 0.22rem;
}
.about_text {
  text-indent: 1em;
  width: 7.34rem;
  font-family: Roboto, Roboto;
  font-weight: 500;
  font-size: 0.12rem;
  color: #545454;
  line-height: 0.18rem;
  text-align: left;
  font-style: normal;
  text-transform: none;
  margin-bottom: 0.24rem;
}

/* 联系我们 */
.contact {
  align-items: center;
  justify-content: space-between;
}

.contact-image{
  width: 2.8rem;
  height: 3rem;
}
.contact-image img{
  width: 100%;
  height: 100%;
}

.contact-text {
  flex: 1;
  height: 100%;
  margin-left: 0.73rem;
}

.text-top,
.text-bottom {
  margin-bottom: 0.27rem;
}

.contact-text-text_1 {
  font-family: Roboto, Roboto;
  font-weight: 900;
  font-size: 0.25rem;
  line-height: 0.44rem;
  letter-spacing: 1px;
  text-align: left;
  font-style: normal;
  text-transform: none;
  color: #2563eb;
  margin: 0;
}

.contact-text-text_2 {
  font-family: Roboto, Roboto;
  font-weight: 500;
  font-size: 0.17rem;
  color: #545454;
  line-height: 0.29rem;
  text-align: left;
  font-style: normal;
  text-transform: none;
}
.text-footer {
  width: 4.43rem;
  height: 0.58rem;
  overflow-wrap: break-word;
}

/* 整体容器样式 */
.privacy-main{
  width: 8.05rem;
  height: 2.6rem;
  background: rgba(255, 255, 255, 0.25);
  border-radius: 0.22rem 0.22rem 0.22rem 0.22rem;
}
.privacy-content {
  width: 7.85rem;
  height: 98%;
  margin: 0 auto;
  padding: 20px;
  font-size: 14px;
  line-height: 1.8;
  color: #545454;
  overflow-y: scroll;
}
/* 滚动条样式 */
.privacy-content::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}
.privacy-content::-webkit-scrollbar-track {
  background-color: #ffffff;
  border-radius: 4px;

}

.privacy-content::-webkit-scrollbar-thumb {
  background-color: #baf8eb;
  border-radius: 4px;
}

/* 目录样式 */
.table-of-contents h1 {
  margin-bottom: 14px !important;
}
.privacy-menu {
  margin: 10px 0 8px !important;
}
/* 标题样式 */
.privacy-content h1 {
  font-size: 24px;
  font-weight: bold;
  margin-bottom: 30px;
  /* text-align: center; */
}

.privacy-content h2 {
  font-size: 20px;
  font-weight: bold;
  margin-bottom: 20px;
  padding-bottom: 10px;
  color: #545454;
  /* border-bottom: 1px solid #eee; */
}

.privacy-content h3 {
  font-size: 16px;
  font-weight: bold;
  margin: 20px 0 15px;
}

/* 段落样式 */
.privacy-content p {
  margin-bottom: 15px;
  color: #545454;
  font-family: Roboto, Roboto;
  font-weight: 500;
  font-size: 0.1rem;
  color: #545454;
  line-height: 0.24rem;
  text-align: left;
  font-style: normal;
  text-transform: none;
}

/* 列表样式 */
.privacy-content ul,
.privacy-content ol {
  padding-left: 20px;
  margin-bottom: 15px;
}

.privacy-content li {
  margin-bottom: 10px;
  font-family: Roboto, Roboto;
  font-weight: 500;
  font-size: 0.1rem;
  color: #545454;
  line-height: 0.24rem;
  text-align: left;
  font-style: normal;
  text-transform: none;
}

/* 表格样式 */
.privacy-content table {
  width: 100%;
  border-collapse: collapse;
  margin: 20px 0;
}

.privacy-content th,
.privacy-content td {
  padding: 12px;
  border: 1px solid #eee;
}

.privacy-content th {
  background: #f7f7f7;
  font-weight: bold;
}

/* 强调文本样式 */
.privacy-content strong {
  font-weight: bold;
}

/* 最后更新时间样式 */
.privacy-content .last-updated {
  color: #999;
  font-size: 12px;
  /* text-align: right; */
  margin-bottom: 30px;
}

/* 响应式调整 */
@media screen and (max-width: 768px) {
  .privacy-content {
    padding: 20px 15px;
  }

  .privacy-content h1 {
    font-size: 20px;
  }

  .privacy-content h2 {
    font-size: 18px;
  }

  .privacy-content h3 {
    font-size: 16px;
  }
}


/* 响应式适配 */
@media screen and (max-width: 768px) {
  :root {
    --space-md: .4rem;
    --space-lg: .6rem;
    --font-lg: .46rem;
  }

  .l-section {
    padding: var(--space-sm);
  }
  
  .l-grid-2,
  .l-grid-3 {
    grid-template-columns: 1fr;
  }

  .c-movie__content {
    max-width: 100%;
  }
}